<?php
/**
 * The Footer: widgets area, logo, footer menu and socials
 *
 * @package WordPress
 * @subpackage RENEWAL
 * @since RENEWAL 1.0
 */

						// Widgets area inside page content
						renewal_create_widgets_area( 'widgets_below_content' );
						?>
					</div><!-- </.content> -->

					<?php
					// Show main sidebar
					get_sidebar();

					$renewal_body_style = renewal_get_theme_option( 'body_style' );
					if ( 'fullscreen' != $renewal_body_style ) {
						?>
						</div><!-- </.content_wrap> -->
						<?php
					}

					// Widgets area below page content and related posts below page content
					$renewal_widgets_name = renewal_get_theme_option( 'widgets_below_page' );
					$renewal_show_widgets = ! renewal_is_off( $renewal_widgets_name ) && is_active_sidebar( $renewal_widgets_name );
					$renewal_show_related = is_single() && renewal_get_theme_option( 'related_position' ) == 'below_page';
					if ( $renewal_show_widgets || $renewal_show_related ) {
						if ( 'fullscreen' != $renewal_body_style ) {
							?>
							<div class="content_wrap">
							<?php
						}
						// Show related posts before footer
						if ( $renewal_show_related ) {
							do_action( 'renewal_action_related_posts' );
						}

						// Widgets area below page content
						if ( $renewal_show_widgets ) {
							renewal_create_widgets_area( 'widgets_below_page' );
						}
						if ( 'fullscreen' != $renewal_body_style ) {
							?>
							</div><!-- </.content_wrap> -->
							<?php
						}
					}
					?>
			</div><!-- </.page_content_wrap> -->

			<?php
			// Footer
			$renewal_footer_type = renewal_get_theme_option( 'footer_type' );
			if ( 'custom' == $renewal_footer_type && ! renewal_is_layouts_available() ) {
				$renewal_footer_type = 'default';
			}
			get_template_part( apply_filters( 'renewal_filter_get_template_part', "templates/footer-{$renewal_footer_type}" ) );
			?>

		</div><!-- /.page_wrap -->

	</div><!-- /.body_wrap -->

	<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
