<div class="front_page_section front_page_section_features<?php
	$renewal_scheme = renewal_get_theme_option( 'front_page_features_scheme' );
	if ( ! renewal_is_inherit( $renewal_scheme ) ) {
		echo ' scheme_' . esc_attr( $renewal_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( renewal_get_theme_option( 'front_page_features_paddings' ) );
?>"
		<?php
		$renewal_css      = '';
		$renewal_bg_image = renewal_get_theme_option( 'front_page_features_bg_image' );
		if ( ! empty( $renewal_bg_image ) ) {
			$renewal_css .= 'background-image: url(' . esc_url( renewal_get_attachment_url( $renewal_bg_image ) ) . ');';
		}
		if ( ! empty( $renewal_css ) ) {
			echo ' style="' . esc_attr( $renewal_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$renewal_anchor_icon = renewal_get_theme_option( 'front_page_features_anchor_icon' );
	$renewal_anchor_text = renewal_get_theme_option( 'front_page_features_anchor_text' );
if ( ( ! empty( $renewal_anchor_icon ) || ! empty( $renewal_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_features"'
									. ( ! empty( $renewal_anchor_icon ) ? ' icon="' . esc_attr( $renewal_anchor_icon ) . '"' : '' )
									. ( ! empty( $renewal_anchor_text ) ? ' title="' . esc_attr( $renewal_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_features_inner
	<?php
	if ( renewal_get_theme_option( 'front_page_features_fullheight' ) ) {
		echo ' renewal-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$renewal_css      = '';
			$renewal_bg_mask  = renewal_get_theme_option( 'front_page_features_bg_mask' );
			$renewal_bg_color_type = renewal_get_theme_option( 'front_page_features_bg_color_type' );
			if ( 'custom' == $renewal_bg_color_type ) {
				$renewal_bg_color = renewal_get_theme_option( 'front_page_features_bg_color' );
			} elseif ( 'scheme_bg_color' == $renewal_bg_color_type ) {
				$renewal_bg_color = renewal_get_scheme_color( 'bg_color', $renewal_scheme );
			} else {
				$renewal_bg_color = '';
			}
			if ( ! empty( $renewal_bg_color ) && $renewal_bg_mask > 0 ) {
				$renewal_css .= 'background-color: ' . esc_attr(
					1 == $renewal_bg_mask ? $renewal_bg_color : renewal_hex2rgba( $renewal_bg_color, $renewal_bg_mask )
				) . ';';
			}
			if ( ! empty( $renewal_css ) ) {
				echo ' style="' . esc_attr( $renewal_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_features_content_wrap content_wrap">
			<?php
			// Caption
			$renewal_caption = renewal_get_theme_option( 'front_page_features_caption' );
			if ( ! empty( $renewal_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_features_caption front_page_block_<?php echo ! empty( $renewal_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $renewal_caption, 'renewal_kses_content'  ); ?></h2>
				<?php
			}

			// Description (text)
			$renewal_description = renewal_get_theme_option( 'front_page_features_description' );
			if ( ! empty( $renewal_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_features_description front_page_block_<?php echo ! empty( $renewal_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $renewal_description ), 'renewal_kses_content'  ); ?></div>
				<?php
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_features_output">
			<?php
			if ( is_active_sidebar( 'front_page_features_widgets' ) ) {
				dynamic_sidebar( 'front_page_features_widgets' );
			} elseif ( current_user_can( 'edit_theme_options' ) ) {
				if ( ! renewal_exists_trx_addons() ) {
					renewal_customizer_need_trx_addons_message();
				} else {
					renewal_customizer_need_widgets_message( 'front_page_features_caption', 'ThemeREX Addons - Services' );
				}
			}
			?>
			</div>
		</div>
	</div>
</div>
