<div class="front_page_section front_page_section_googlemap<?php
	$renewal_scheme = renewal_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! renewal_is_inherit( $renewal_scheme ) ) {
		echo ' scheme_' . esc_attr( $renewal_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( renewal_get_theme_option( 'front_page_googlemap_paddings' ) );
?>"
		<?php
		$renewal_css      = '';
		$renewal_bg_image = renewal_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $renewal_bg_image ) ) {
			$renewal_css .= 'background-image: url(' . esc_url( renewal_get_attachment_url( $renewal_bg_image ) ) . ');';
		}
		if ( ! empty( $renewal_css ) ) {
			echo ' style="' . esc_attr( $renewal_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$renewal_anchor_icon = renewal_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$renewal_anchor_text = renewal_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $renewal_anchor_icon ) || ! empty( $renewal_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $renewal_anchor_icon ) ? ' icon="' . esc_attr( $renewal_anchor_icon ) . '"' : '' )
									. ( ! empty( $renewal_anchor_text ) ? ' title="' . esc_attr( $renewal_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
	<?php
	if ( renewal_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
		echo ' renewal-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$renewal_css      = '';
			$renewal_bg_mask  = renewal_get_theme_option( 'front_page_googlemap_bg_mask' );
			$renewal_bg_color_type = renewal_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $renewal_bg_color_type ) {
				$renewal_bg_color = renewal_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $renewal_bg_color_type ) {
				$renewal_bg_color = renewal_get_scheme_color( 'bg_color', $renewal_scheme );
			} else {
				$renewal_bg_color = '';
			}
			if ( ! empty( $renewal_bg_color ) && $renewal_bg_mask > 0 ) {
				$renewal_css .= 'background-color: ' . esc_attr(
					1 == $renewal_bg_mask ? $renewal_bg_color : renewal_hex2rgba( $renewal_bg_color, $renewal_bg_mask )
				) . ';';
			}
			if ( ! empty( $renewal_css ) ) {
				echo ' style="' . esc_attr( $renewal_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
			$renewal_layout = renewal_get_theme_option( 'front_page_googlemap_layout' );
		if ( 'fullwidth' != $renewal_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$renewal_caption     = renewal_get_theme_option( 'front_page_googlemap_caption' );
			$renewal_description = renewal_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $renewal_caption ) || ! empty( $renewal_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $renewal_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $renewal_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $renewal_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $renewal_caption, 'renewal_kses_content'  );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $renewal_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $renewal_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $renewal_description ), 'renewal_kses_content'  );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $renewal_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$renewal_content = renewal_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $renewal_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $renewal_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $renewal_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $renewal_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $renewal_content, 'renewal_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $renewal_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $renewal_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
			<?php
			if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
				dynamic_sidebar( 'front_page_googlemap_widgets' );
			} elseif ( current_user_can( 'edit_theme_options' ) ) {
				if ( ! renewal_exists_trx_addons() ) {
					renewal_customizer_need_trx_addons_message();
				} else {
					renewal_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
				}
			}
			?>
			</div>
			<?php

			if ( 'columns' == $renewal_layout && ( ! empty( $renewal_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
