/* global jQuery:false */
/* global RENEWAL_STORAGE:false */
/* global TRX_ADDONS_STORAGE:false */

(function() {
	"use strict";
	
	jQuery(document).on('action.add_googlemap_styles', renewal_trx_addons_add_googlemap_styles);
	jQuery(document).on('action.init_hidden_elements', renewal_trx_addons_init);
	
	// Add theme specific styles to the Google map
	function renewal_trx_addons_add_googlemap_styles(e) {
		if (typeof TRX_ADDONS_STORAGE == 'undefined') return;
		TRX_ADDONS_STORAGE['googlemap_styles']['dark'] = [
			{
				"featureType": "road.local",
				"elementType": "geometry",
				"stylers": [
					{
						"visibility": "on"
					}
				]
			}
		];
	}
	
	
	function renewal_trx_addons_init(e, container) {
		if (arguments.length < 2) var container = jQuery('body');
		if (container===undefined || container.length === undefined || container.length == 0) return;
		container.find('.sc_countdown_item canvas:not(.inited)').addClass('inited').attr('data-color', RENEWAL_STORAGE['alter_link_color']);
	}

})();

