<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package WordPress
 * @subpackage RENEWAL
 * @since RENEWAL 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
if ( ! renewal_is_inherit( renewal_get_theme_option( 'copyright_scheme' ) ) ) {
	echo ' scheme_' . esc_attr( renewal_get_theme_option( 'copyright_scheme' ) );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$renewal_copyright = renewal_get_theme_option( 'copyright' );
			if ( ! empty( $renewal_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$renewal_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $renewal_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$renewal_copyright = renewal_prepare_macros( $renewal_copyright );
				// Display copyright
				echo wp_kses( nl2br( $renewal_copyright ), 'renewal_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
