<?php
/**
 * The template to display menu in the footer
 *
 * @package WordPress
 * @subpackage RENEWAL
 * @since RENEWAL 1.0.10
 */

// Footer menu
$renewal_menu_footer = renewal_get_nav_menu(
	array(
		'location' => 'menu_footer',
		'class'    => 'sc_layouts_menu sc_layouts_menu_default',
	)
);
if ( ! empty( $renewal_menu_footer ) ) {
	?>
	<div class="footer_menu_wrap">
		<div class="footer_menu_inner">
			<?php renewal_show_layout( $renewal_menu_footer ); ?>
		</div>
	</div>
	<?php
}
