<?php
/**
 * The template to display the socials in the footer
 *
 * @package WordPress
 * @subpackage RENEWAL
 * @since RENEWAL 1.0.10
 */


// Socials
if ( renewal_is_on( renewal_get_theme_option( 'socials_in_footer' ) ) ) {
	$renewal_output = renewal_get_socials_links();
	if ( '' != $renewal_output ) {
		?>
		<div class="footer_socials_wrap socials_wrap">
			<div class="footer_socials_inner">
				<?php renewal_show_layout( $renewal_output ); ?>
			</div>
		</div>
		<?php
	}
}
